BEEPException (BEEP Core API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.beepcore.beep.core
Class BEEPException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.beepcore.beep.core.BEEPException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AbortChannelException, BEEPError, BEEPInterruptedException

public class BEEPException
extends java.lang.Exception

An exception for representing BEEP related errors. `BEEPException` adds support for exception chaining similar to what is available in JDK 1.4.

See Also:
  Serialized Form

Constructor Summary
`BEEPException(java.lang.String message)` Constructs a new `BEEPException` with the specified detail message.
`BEEPException(java.lang.Throwable cause)` Constructs a new `BEEPException` with the specified cause and a detailed message of `(cause == null ?`

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this `BEEPException`.
`java.lang.String` | `getLocalizedMessage()`
`void` | `printStackTrace()` Prints this `BEEPException` and its backtrace to the standard error stream.
`void` | `printStackTrace(java.io.PrintStream s)` Prints this `BEEPException` and its backtrace to the specified print stream.
`void` | `printStackTrace(java.io.PrintWriter s)` Prints this `BEEPException` and its backtrace to the specified print writer.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BEEPException

    public BEEPException(java.lang.String message)

  Constructs a new `BEEPException` with the specified detail message.

Parameters:
  `message` - the detailed message which is saved for later retrieval by the `getMessage()` method.

### BEEPException

    public BEEPException(java.lang.Throwable cause)

  Constructs a new `BEEPException` with the specified cause and a detailed message of `(cause == null ? null : cause.toString())`.

Parameters:
  `cause` - the cause which is saved for later retrieval by the `getCause()` method.

Method Detail

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this `BEEPException`.

  Overrides:
    `getCause` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace()

  Prints this `BEEPException` and its backtrace to the standard error stream. If this `BEEPException` was initialized with a `Throwable` the backtrace for it will be printed as well.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints this `BEEPException` and its backtrace to the specified print stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Prints this `BEEPException` and its backtrace to the specified print writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.